## guix 1.3.0

=== debian/changelog ===
guix (1.3.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 19 Dec 2021 19:49:34 -0800

guix (1.3.0-3) experimental; urgency=medium

  * Update to guile 3.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 08 Sep 2021 17:55:59 -0700

guix (1.3.0-2) unstable; urgency=medium

  * debian/patches: Adjust openrc script to use /usr/bin/guix-daemon and
    the _guixbuild group.
  * debian/control: Update Standards-Version to 4.6.0, no changes.
  * debian/control: Add Build-Depends on guile-semver.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 08 Sep 2021 16:49:58 -0700

guix (1.3.0-1) experimental; urgency=medium

  * New upstream version 1.3.0
  * debian/copyright: Updates for new release.
  * debian/control: Update versioned dependencies on guile-git.
  * debian/rules: Force the test suite to run under C.UTF-8 locale.
  * debian/watch: Add comment regarding Release Candidates, which are
    hosted at a different location.
  * debian/control: Update guile-json dependencies to 4.5.2.
  * debian/patches: Drop patches disabling swh tests, fixed in 1.3.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 12 May 2021 21:01:11 -0700

guix (1.3.0~rc1-1) experimental; urgency=medium

  * debian/control: Add versioned Build-Depends/Depends on guile-zlib
    0.1.0.
  * debian/control: Add Build-Depends on guile-zstd.
  * debian/control: Add Build-Depends on guile-library.
  * debian/copyright: Update for new upstream version.
  * debian/changelog: Fix "when when" typo in version
    1.1.0+67260.9e2523-2.
  * debian/control: Update Standards-Version to 4.5.1.
  * debian/control: Drop explicit branch from Vcs-Git, it is now the
    default branch.
  * debian/patches: Remove patch to avoid embedding build path in
    gnu/ci.scm, fixed upstream.
  * debian/patches: Refresh guix-services-from-usr-bin
  * debian/patches: Refresh fix-version-string.
  * debian/patches: Remove security patch to guix-daemon, applied
    upstream.
  * debian/control: Enable building on ppc64el.
  * debian/patches/series: Disable patches to prepare to rebase them.
  * debian/patches: Refresh patches against new upstream version.
  * debian/patches: Disable several more tests requiring network.
  * debian/patches: Fix disabling of swh test.
  * debian/upstream/signing-key.asc: Add key for Maxim Cournoyer.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 30 Apr 2021 23:09:54 -0700
