=== debian/control ===
Source: guix
Section: admin
Priority: optional
Maintainer: Vagrant Cascadian <vagrant@debian.org>
Build-Depends: debhelper-compat (=13),
 gettext,
# git and gnupg are used for tests/guix-build-branch.sh.
 git <!nocheck>,
 gnupg <!nocheck>,
 graphviz,
 guile-3.0-dev,
 guile-gcrypt (>= 0.3.0-3~),
 guile-git (>= 0.5.1),
 guile-gnutls (>= 3.7.2-3~),
 guile-json (>= 4.5.2),
 guile-library (>= 0.2.7),
 guile-lzlib,
 guile-semver,
 guile-ssh (>= 0.13.1),
 guile-sqlite3 (>= 0.1.3-2~),
 guile-zlib (>= 0.1.0),
 guile-zstd,
 help2man,
 libbz2-dev,
 po4a,
 texinfo,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://guix.gnu.org/
Vcs-Git: https://salsa.debian.org/debian/guix.git
Vcs-Browser: https://salsa.debian.org/debian/guix

Package: guix
Architecture: amd64 arm64 armhf i386 ppc64el
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
 guile-3.0,
 guile-gcrypt (>= 0.3.0-3~),
 guile-git (>= 0.5.1),
 guile-gnutls (>= 3.7.2-3~),
 guile-json (>= 4.5.2),
 guile-lzlib,
 guile-ssh (>= 0.13.1),
 guile-sqlite3 (>= 0.1.3-2~),
 guile-zlib (>= 0.1.0),
 libssh-dev,
Recommends: nscd,
 systemd,
Description: GNU Guix functional package manager
 Guix is an advanced distribution of the GNU operating system
 developed by the GNU Project—which respects the freedom of computer
 users.
 .
 Guix supports transactional upgrades and roll-backs, unprivileged
 package management, and more. When used as a standalone distribution,
 Guix supports declarative system configuration for transparent and
 reproducible operating systems.
 .
 It provides Guile Scheme APIs, including high-level embedded
 domain-specific languages (EDSLs) to define packages and whole-system
 configurations.
