=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	dh_autoreconf ./bootstrap --
 
 override_dh_auto_configure:
-	dh_auto_configure  -- --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ --with-bash-completion-dir=/usr/share/bash-completion/completions/ GZIP=/bin/gzip BZIP2=/bin/bzip2 GUILE_EFFECTIVE_VERSION=2.2
+	dh_auto_configure  -- --libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/ --with-bash-completion-dir=/usr/share/bash-completion/completions/ GZIP=/bin/gzip BZIP2=/bin/bzip2 GUILE_EFFECTIVE_VERSION=3.0
 
 override_dh_auto_test:
 	# Copy system binaries for tests
@@ -30,7 +30,8 @@
 	cp /bin/bash /bin/mkdir /bin/tar /usr/bin/xz gnu/packages/bootstrap/$(GUIX_ARCH)/
 	# Disable name resolution with RES_OPTIONS to prevent tests from
 	# accessing the network
-	dh_auto_test --no-parallel -- RES_OPTIONS=attempts:0 AM_SCM_LOG_DRIVER_FLAGS="--brief=no"
+	# Use UTF-8 locale to work around https://issues.guix.gnu.org/46038
+	LC_ALL=C.UTF-8 LANG=C.UTF-8 dh_auto_test --no-parallel -- RES_OPTIONS=attempts:0 AM_SCM_LOG_DRIVER_FLAGS="--brief=no"
 	rm -vrf gnu/packages/bootstrap/
 
 override_dh_strip:
