=== debian/watch ===
# Release Candidates may also be found on alpha.gnu.org
version=4
opts=pgpmode=auto \
https://ftp.gnu.org/gnu/@PACKAGE@/ @PACKAGE@-@ANY_VERSION@.tar.gz
