## guix 1.3.0+26720.a2e4e

=== debian/changelog ===
guix (1.3.0+26720.a2e4e-1) experimental; urgency=medium

  * New upstream git snapshot from commit
    a2e4e3489b4fdec6e270c93fcd9724abe983217e.
  * debian/copyright: Updated for new version.
  * debian/patches: Refresh patches.
  * debian/control: Add locales-all to Build-Depends.
  * debian/patches: Disable tests that depend on network and bootstrap
    binaries.
  * Add lintian override for spelling errors in "guix lint".
  * Install guix-gc service in examples.
  * debian/patches: Disable test of "guix hash -S git" which depends on
    "disarchive" which is not yet in Debian.
  * debian/patches: Re-adjust patches to use the _guixbuild group.
  * debian/control: Update to Standards-Version 4.6.1.
  * debian/patches: Remove tests-Ensure-test-OpenPGP-keys-never-expire,
    applied upstream.
  * Update lintian overrides for new lintian.
  * debian/patches: Skip git related tests with unknown failures.
  * debian/control: Update versioned Build-Depends on guile-ssh to 0.15.1
    and guile-json 4.7.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 25 Oct 2022 16:40:35 -0700

guix (1.3.0-5) unstable; urgency=medium

  * debian/patches: Remove expiration dates on openpgp keys used in test
    suite. (Closes: #1011863)
  * debian/patches: Use C.UTF-8 locale for guix-daemon and
    guix-publish. Thanks to Maxime Devos. (Closes: #1012536)
  * debian/control: Add ca-certificates to Recommends. Thanks to Felix
    Lechner. (Closes: #1010930)
  * debian/control: Recommend less. Thanks to Taiju HIGASHI.
    (Closes: #1012405)

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 08 Jun 2022 19:42:49 -0700
