## guix 1.3.0+26756.c07b5

=== debian/changelog ===
guix (1.3.0+26756.c07b5-2) experimental; urgency=medium

  * debian/copyright: Update MIT -> Expat.
  * debian/patches: Disable 32-bit test failures.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 31 Oct 2022 13:32:30 -0700

guix (1.3.0+26756.c07b5-1) experimental; urgency=medium

  * New upstream git snapshot 1.3.0+26756.c07b5 from commit
    c07b55eb94f8cfa9d0f56cfd97a16f2f7d842652
  * debian/patches: Disable more tests requiring bootstrap binaries.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 26 Oct 2022 13:05:58 -0700
