=== debian/control ===
--- 
+++ 
@@ -12,19 +12,20 @@
  guile-gcrypt (>= 0.3.0-3~),
  guile-git (>= 0.5.1),
  guile-gnutls (>= 3.7.2-3~),
- guile-json (>= 4.5.2),
+ guile-json (>= 4.7),
  guile-library (>= 0.2.7),
  guile-lzlib,
  guile-semver,
- guile-ssh (>= 0.13.1),
+ guile-ssh (>= 0.15.1),
  guile-sqlite3 (>= 0.1.3-2~),
  guile-zlib (>= 0.1.0),
  guile-zstd,
  help2man,
  libbz2-dev,
+ locales-all,
  po4a,
  texinfo,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://guix.gnu.org/
 Vcs-Git: https://salsa.debian.org/debian/guix.git
@@ -44,7 +45,9 @@
  guile-sqlite3 (>= 0.1.3-2~),
  guile-zlib (>= 0.1.0),
  libssh-dev,
-Recommends: nscd,
+Recommends: ca-certificates,
+ less,
+ nscd,
  systemd,
 Description: GNU Guix functional package manager
  Guix is an advanced distribution of the GNU operating system
