## guix 1.4.0~rc1

=== debian/changelog ===
guix (1.4.0~rc1-2) experimental; urgency=medium

  * debian/patches: Add missing sanity-check-next.py file not present in
    rc1 tarball.
  * debian/patches: Re-enable more tests.
  * debian/control: Update dependencies to guile-ssh 0.16.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 04 Dec 2022 18:57:28 -0800

guix (1.4.0~rc1-1) experimental; urgency=medium

  * debian/patches: Refresh for 1.4.0~rc1.
  * Revert "debian/patches: Disable 32-bit test failures."
  * debian/patches: Refresh another patch for 1.4.0~rc1.
  * debian/copyright: Update for 1.4.0~rc1.
  * debian/patches: Add patches to skip tests broken with
    "scm_to_utf8_stringn" guile issues.
  * debian/control: Update dependency on guile-gcrypt to 0.4.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 02 Dec 2022 23:28:46 -0800
