=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
  gnupg <!nocheck>,
  graphviz,
  guile-3.0-dev,
- guile-gcrypt (>= 0.3.0-3~),
+ guile-gcrypt (>= 0.4.0),
  guile-git (>= 0.5.1),
  guile-gnutls (>= 3.7.2-3~),
  guile-json (>= 4.7),
  guile-library (>= 0.2.7),
  guile-lzlib,
  guile-semver,
- guile-ssh (>= 0.15.1),
+ guile-ssh (>= 0.16.0),
  guile-sqlite3 (>= 0.1.3-2~),
  guile-zlib (>= 0.1.0),
  guile-zstd,
@@ -36,12 +36,12 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
  guile-3.0,
- guile-gcrypt (>= 0.3.0-3~),
+ guile-gcrypt (>= 0.4.0),
  guile-git (>= 0.5.1),
  guile-gnutls (>= 3.7.2-3~),
  guile-json (>= 4.5.2),
  guile-lzlib,
- guile-ssh (>= 0.13.1),
+ guile-ssh (>= 0.16.0),
  guile-sqlite3 (>= 0.1.3-2~),
  guile-zlib (>= 0.1.0),
  libssh-dev,
