=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,8 @@
 		debian/guix/lib/systemd/system/guix-publish.service
 	mv -vf debian/guix/usr/lib/*/systemd/system/gnu-store.mount \
 		debian/guix/lib/systemd/system/gnu-store.mount
+	# guix-gc is installed via examples
+	rm -f debian/guix/usr/lib/*/systemd/system/guix-gc.*
 	# Add /etc/default/acl with the default substitute server,
 	# with identical output as "guix archive --authorize"
 	mkdir -p debian/guix/etc/guix/
