## guix 1.4.0

=== debian/changelog ===
guix (1.4.0-6build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:04:14 +1100

guix (1.4.0-6) unstable; urgency=medium

  * debian/patches: guix-daemon: Protect against file descriptor escape
    when building fixed-output derivations (CVE-2024-27297).
    (Closes: #1066113)
  * debian/patches: Temporarily disable tests to workaround
    https://bugs.debian.org/1064748
  * debian/patches: systemd services: switch to "journal" for output and
    error logging. (Closes: #1041398)
  * debian/rules: Add dh_auto_clean override to remove cruft from the
    build. (Closes: #1044595)
  * debian/rules: Add build profile to enable parallel build.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 15 Mar 2024 15:06:42 -0700

guix (1.4.0-5) unstable; urgency=medium

  [ Frank Pursel ]
  * debian/bin/debian-copyrighter.scm: Update with SPDX identifier
    support.

  [ Vagrant Cascadian ]
  * debian/control: Add Build-Depends and Recommends on
    guile-avahi.  (Closes: #1038916)

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 17 Jul 2023 16:13:00 -0700

guix (1.4.0-4) unstable; urgency=medium

  * Update /etc/profile.d/guix.sh to be consistent with upstream.
    (Closes: #1036304)

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 03 Jun 2023 18:04:01 -0700

guix (1.4.0-3) unstable; urgency=medium

  * debian/rules: Fix syntax of /etc/guix/acl file.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 21 Apr 2023 18:35:03 -0700

guix (1.4.0-2) unstable; urgency=medium

  * debian/rules: Add "bordeaux" substitute server to /etc/guix/acl.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 20 Apr 2023 22:15:09 -0700

guix (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Switch back to checking ftp.gnu.org.
  * debian/copyright: Update for 1.4.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 18 Dec 2022 16:22:23 -0800

guix (1.4.0~rc2-1) unstable; urgency=medium

  * debian/control: Update versioned dependency on guile-json.
  * debian/watch: Add uversionmangle to handle release candidate versions.
  * debian/watch: Update comments regarding release candidate vs. release
    versions.
  * debian/watch: Look for release candidate versions.
  * debian/source/lintian-overrides: Override source-is-missing and
    source-contains-prebuilt-javascript-object.
  * debian/control: Enable building on riscv64.
  * debian/patches: Remove fix-missing-sanity-check-next.py, fixed
    upstream.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 11 Dec 2022 11:07:18 -0800
