=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: guix
 Section: admin
 Priority: optional
-Maintainer: Vagrant Cascadian <vagrant@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vagrant Cascadian <vagrant@debian.org>
 Build-Depends: debhelper-compat (=13),
  gettext,
 # git and gnupg are used for tests/guix-build-branch.sh.
@@ -9,6 +10,7 @@
  gnupg <!nocheck>,
  graphviz,
  guile-3.0-dev,
+ guile-avahi,
  guile-gcrypt (>= 0.4.0),
  guile-git (>= 0.5.1),
  guile-gnutls (>= 3.7.2-3~),
@@ -32,20 +34,21 @@
 Vcs-Browser: https://salsa.debian.org/debian/guix
 
 Package: guix
-Architecture: amd64 arm64 armhf i386 ppc64el
+Architecture: amd64 arm64 armhf i386 ppc64el riscv64
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
  guile-3.0,
  guile-gcrypt (>= 0.4.0),
  guile-git (>= 0.5.1),
  guile-gnutls (>= 3.7.2-3~),
- guile-json (>= 4.5.2),
+ guile-json (>= 4.7),
  guile-lzlib,
  guile-ssh (>= 0.16.0),
  guile-sqlite3 (>= 0.1.3-2~),
  guile-zlib (>= 0.1.0),
  libssh-dev,
 Recommends: ca-certificates,
+ guile-avahi,
  less,
  nscd,
  systemd,
