=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,15 @@
 GUIX_ARCH = armhf-linux
 endif
 
+ifeq (,$(filter pkg.guix.parallel,$(DEB_BUILD_PROFILES)))
+# Disable parallelism to avoid reproducibility issues:
+# https://issues.guix.gnu.org/20272
+# https://bugzilla.opensuse.org/show_bug.cgi?id=1170378
+PARALLEL = --no-parallel
+endif
+
 %:
-	# Disable parallelism to avoid reproducibility issues:
-	# https://issues.guix.gnu.org/20272
-	# https://bugzilla.opensuse.org/show_bug.cgi?id=1170378
-	dh $@ --no-parallel
+	dh $@ $(PARALLEL)
 
 override_dh_autoreconf:
 	dh_autoreconf ./bootstrap --
@@ -54,11 +58,24 @@
 		debian/guix/lib/systemd/system/gnu-store.mount
 	# guix-gc is installed via examples
 	rm -f debian/guix/usr/lib/*/systemd/system/guix-gc.*
-	# Add /etc/default/acl with the default substitute server,
+	# Add /etc/default/acl with the default substitute servers,
 	# with identical output as "guix archive --authorize"
 	mkdir -p debian/guix/etc/guix/
 	printf '(acl\n (entry\n' > debian/guix/etc/guix/acl
 	sed -e 's,^,  ,g' -e 's, $$,,g' etc/substitutes/ci.guix.gnu.org.pub >> debian/guix/etc/guix/acl
+	printf '  (tag\n   (guix import)\n   )\n  )\n (entry\n' >> debian/guix/etc/guix/acl
+	sed -e 's,^,  ,g' -e 's, $$,,g' etc/substitutes/bordeaux.guix.gnu.org.pub >> debian/guix/etc/guix/acl
 	printf '  (tag\n   (guix import)\n   )\n  )\n )\n' >> debian/guix/etc/guix/acl
 	rmdir debian/guix/usr/lib/*/systemd/system/
 	rmdir debian/guix/usr/lib/*/systemd/
+
+override_dh_auto_clean:
+	dh_auto_clean
+	# Remove build cruft
+	rm -vf guix/build/po.go
+	# Remove documentation cruft
+	rm -vf doc/guix-cookbook.*.info
+	rm -vf doc/guix-daemon.1
+	rm -vf doc/guix.*.info*
+	rm -vf doc/stamp-*
+	rm -vf doc/version-*.texi
