## guix 1.4.0+154709.ab1b557d8f3

=== debian/changelog ===
guix (1.4.0+154709.ab1b557d8f3-1) experimental; urgency=medium

  * New upstream git snapshot 1.4.0+154709.ab1b557d8f3 from commit
    ab1b557d8f336de4cfab07d202e0965ab18f2b7a.
  * debian/patches: Remove patches applied upstream in
    1.4.0+154511.1afbf48b25.
  * debian/patches: Refresh patches for 1.4.0+154511.1afbf48b25.
  * debian/patches: Disable new tests that require bootstrap binaries.
  * debian/patches: Disable test of guix locate when network is
    unavailable.
  * debian/patches: Add missing po4a.cfg.
  * debian/patches: Disable tests/grafts.scm "graft-derivation, multiple
    outputs need to be replaced".
  * debian/patches: Disable guix-system test which requires network access
    for bootstrap binaries.
  * debian/patches: Add patches disabling tests with whitespace and
    newline discrepancies.
  * debian/copyright: Update for 1.4.0+154709.ab1b557d8f3.
  * debian/guix.lintian-overrides: Update for 1.4.0+ git snapshot.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 20 Feb 2025 16:05:56 -0800

guix (1.4.0-8) unstable; urgency=medium

  * debian/patches: Add patches to fix Build User Takeover Vulnerability.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 29 Oct 2024 12:25:38 -0700

guix (1.4.0-7) unstable; urgency=medium

  * debian/rules: Move systemd files into /usr/lib/systemd.
    (Closes: #1073710)
  * debian/control: Add guile-zstd to Recommends. (Closes: #1072918)
  * Move guix-publish.service to examples. (Closes: #1041146)
  * debian/control: Add Depends on netbase. (Closes: #1051829)
  * debian/patches: Disable another round of failing tests.
  * debian/control: Update Standards-Version to 4.7.0.
  * debian/control: Update versioned dependency on guile-git.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 20 Aug 2024 15:11:33 -0700
