## guix 1.4.0+154710+ab1b5

=== debian/changelog ===
guix (1.4.0+154710+ab1b5-2) experimental; urgency=medium

  * debian/patches: Disable store deduplication tests on ppc64el.
  * debian/control: Update Standards Version to 4.7.1.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 21 Feb 2025 17:25:29 -0800

guix (1.4.0+154710+ab1b5-1) experimental; urgency=medium

  * Fix build failure by shortening the upstream version number. Really.
    Still from commit ab1b557d8f336de4cfab07d202e0965ab18f2b7a.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 20 Feb 2025 23:44:06 -0800
