=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: guix
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vagrant Cascadian <vagrant@debian.org>
+Maintainer: Vagrant Cascadian <vagrant@debian.org>
 Build-Depends: debhelper-compat (=13),
  gettext,
 # git and gnupg are used for tests/guix-build-branch.sh.
@@ -12,7 +11,7 @@
  guile-3.0-dev,
  guile-avahi,
  guile-gcrypt (>= 0.4.0),
- guile-git (>= 0.5.1),
+ guile-git (>= 0.7.0-2~),
  guile-gnutls (>= 3.7.2-3~),
  guile-json (>= 4.7),
  guile-library (>= 0.2.7),
@@ -27,7 +26,7 @@
  locales-all,
  po4a,
  texinfo,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Homepage: https://guix.gnu.org/
 Vcs-Git: https://salsa.debian.org/debian/guix.git
@@ -47,8 +46,10 @@
  guile-sqlite3 (>= 0.1.3-2~),
  guile-zlib (>= 0.1.0),
  libssh-dev,
+ netbase,
 Recommends: ca-certificates,
  guile-avahi,
+ guile-zstd,
  less,
  nscd,
  systemd,
