## guix 1.4.0+154928+f1810

=== debian/changelog ===
guix (1.4.0+154928+f1810-1) experimental; urgency=medium

  * New upstream git snapshot from commit
    f1810c84f72090b02544ac41d0582c4785728ec4.
  * debian/patches: Drop po4a patch, fixed upstream.
  * debian/patches: Refresh patches for 1.4.0+154928+f1810.
  * debian/patches: Drop tests/read-print.scm patch.
  * debian/copyright: Update for 1.4.0+154928+f1810.
  * debian/control: Update Standards-Version to 4.7.2.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 27 Feb 2025 20:38:40 -0800
