=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  locales-all,
  po4a,
  texinfo,
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://guix.gnu.org/
 Vcs-Git: https://salsa.debian.org/debian/guix.git
