=== debian/rules ===
--- 
+++ 
@@ -49,15 +49,15 @@
 
 override_dh_install:
 	dh_install
-	mkdir -p debian/guix/lib/systemd/system/
+	# Move systemd files from multi-arch directory to non-multiarch directory.
+	mkdir -p debian/guix/usr/lib/systemd/system/
 	mv -vf debian/guix/usr/lib/*/systemd/system/guix-daemon.service \
-		debian/guix/lib/systemd/system/guix-daemon.service
-	mv -vf debian/guix/usr/lib/*/systemd/system/guix-publish.service \
-		debian/guix/lib/systemd/system/guix-publish.service
+		debian/guix/usr/lib/systemd/system/guix-daemon.service
 	mv -vf debian/guix/usr/lib/*/systemd/system/gnu-store.mount \
-		debian/guix/lib/systemd/system/gnu-store.mount
-	# guix-gc is installed via examples
-	rm -f debian/guix/usr/lib/*/systemd/system/guix-gc.*
+		debian/guix/usr/lib/systemd/system/gnu-store.mount
+	# guix-gc and guix-publish are installed via examples
+	rm -f debian/guix/usr/lib/*/systemd/system/guix-gc.* \
+		debian/guix/usr/lib/*/systemd/system/guix-publish.service \
 	# Add /etc/default/acl with the default substitute servers,
 	# with identical output as "guix archive --authorize"
 	mkdir -p debian/guix/etc/guix/
